Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network37.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
37.0.0.0
Broadcast address
37.127.255.255
First usable
37.0.0.1
Last usable
37.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 25000000 · Integer 620756992 to 629145599
Reverse DNS zones
0.37.in-addr.arpa
1.37.in-addr.arpa
2.37.in-addr.arpa
3.37.in-addr.arpa
4.37.in-addr.arpa
5.37.in-addr.arpa
6.37.in-addr.arpa
7.37.in-addr.arpa
8.37.in-addr.arpa
9.37.in-addr.arpa
10.37.in-addr.arpa
11.37.in-addr.arpa
12.37.in-addr.arpa
13.37.in-addr.arpa
14.37.in-addr.arpa
15.37.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100101.00000000.00000000.0000000037.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00100101.00000000.00000000.0000000037.0.0.0
Broadcast00100101.01111111.11111111.1111111137.127.255.255
Split into smaller subnets/18

37.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
137.0.0.0/1837.0.0.1 to 37.0.63.25437.0.63.25516,382
237.0.64.0/1837.0.64.1 to 37.0.127.25437.0.127.25516,382
337.0.128.0/1837.0.128.1 to 37.0.191.25437.0.191.25516,382
437.0.192.0/1837.0.192.1 to 37.0.255.25437.0.255.25516,382
537.1.0.0/1837.1.0.1 to 37.1.63.25437.1.63.25516,382
637.1.64.0/1837.1.64.1 to 37.1.127.25437.1.127.25516,382
737.1.128.0/1837.1.128.1 to 37.1.191.25437.1.191.25516,382
837.1.192.0/1837.1.192.1 to 37.1.255.25437.1.255.25516,382
937.2.0.0/1837.2.0.1 to 37.2.63.25437.2.63.25516,382
1037.2.64.0/1837.2.64.1 to 37.2.127.25437.2.127.25516,382
1137.2.128.0/1837.2.128.1 to 37.2.191.25437.2.191.25516,382
1237.2.192.0/1837.2.192.1 to 37.2.255.25437.2.255.25516,382
1337.3.0.0/1837.3.0.1 to 37.3.63.25437.3.63.25516,382
1437.3.64.0/1837.3.64.1 to 37.3.127.25437.3.127.25516,382
1537.3.128.0/1837.3.128.1 to 37.3.191.25437.3.191.25516,382
1637.3.192.0/1837.3.192.1 to 37.3.255.25437.3.255.25516,382
1737.4.0.0/1837.4.0.1 to 37.4.63.25437.4.63.25516,382
1837.4.64.0/1837.4.64.1 to 37.4.127.25437.4.127.25516,382
1937.4.128.0/1837.4.128.1 to 37.4.191.25437.4.191.25516,382
2037.4.192.0/1837.4.192.1 to 37.4.255.25437.4.255.25516,382
2137.5.0.0/1837.5.0.1 to 37.5.63.25437.5.63.25516,382
2237.5.64.0/1837.5.64.1 to 37.5.127.25437.5.127.25516,382
2337.5.128.0/1837.5.128.1 to 37.5.191.25437.5.191.25516,382
2437.5.192.0/1837.5.192.1 to 37.5.255.25437.5.255.25516,382
2537.6.0.0/1837.6.0.1 to 37.6.63.25437.6.63.25516,382
2637.6.64.0/1837.6.64.1 to 37.6.127.25437.6.127.25516,382
2737.6.128.0/1837.6.128.1 to 37.6.191.25437.6.191.25516,382
2837.6.192.0/1837.6.192.1 to 37.6.255.25437.6.255.25516,382
2937.7.0.0/1837.7.0.1 to 37.7.63.25437.7.63.25516,382
3037.7.64.0/1837.7.64.1 to 37.7.127.25437.7.127.25516,382
3137.7.128.0/1837.7.128.1 to 37.7.191.25437.7.191.25516,382
3237.7.192.0/1837.7.192.1 to 37.7.255.25437.7.255.25516,382
3337.8.0.0/1837.8.0.1 to 37.8.63.25437.8.63.25516,382
3437.8.64.0/1837.8.64.1 to 37.8.127.25437.8.127.25516,382
3537.8.128.0/1837.8.128.1 to 37.8.191.25437.8.191.25516,382
3637.8.192.0/1837.8.192.1 to 37.8.255.25437.8.255.25516,382
3737.9.0.0/1837.9.0.1 to 37.9.63.25437.9.63.25516,382
3837.9.64.0/1837.9.64.1 to 37.9.127.25437.9.127.25516,382
3937.9.128.0/1837.9.128.1 to 37.9.191.25437.9.191.25516,382
4037.9.192.0/1837.9.192.1 to 37.9.255.25437.9.255.25516,382
4137.10.0.0/1837.10.0.1 to 37.10.63.25437.10.63.25516,382
4237.10.64.0/1837.10.64.1 to 37.10.127.25437.10.127.25516,382
4337.10.128.0/1837.10.128.1 to 37.10.191.25437.10.191.25516,382
4437.10.192.0/1837.10.192.1 to 37.10.255.25437.10.255.25516,382
4537.11.0.0/1837.11.0.1 to 37.11.63.25437.11.63.25516,382
4637.11.64.0/1837.11.64.1 to 37.11.127.25437.11.127.25516,382
4737.11.128.0/1837.11.128.1 to 37.11.191.25437.11.191.25516,382
4837.11.192.0/1837.11.192.1 to 37.11.255.25437.11.255.25516,382
4937.12.0.0/1837.12.0.1 to 37.12.63.25437.12.63.25516,382
5037.12.64.0/1837.12.64.1 to 37.12.127.25437.12.127.25516,382
5137.12.128.0/1837.12.128.1 to 37.12.191.25437.12.191.25516,382
5237.12.192.0/1837.12.192.1 to 37.12.255.25437.12.255.25516,382
5337.13.0.0/1837.13.0.1 to 37.13.63.25437.13.63.25516,382
5437.13.64.0/1837.13.64.1 to 37.13.127.25437.13.127.25516,382
5537.13.128.0/1837.13.128.1 to 37.13.191.25437.13.191.25516,382
5637.13.192.0/1837.13.192.1 to 37.13.255.25437.13.255.25516,382
5737.14.0.0/1837.14.0.1 to 37.14.63.25437.14.63.25516,382
5837.14.64.0/1837.14.64.1 to 37.14.127.25437.14.127.25516,382
5937.14.128.0/1837.14.128.1 to 37.14.191.25437.14.191.25516,382
6037.14.192.0/1837.14.192.1 to 37.14.255.25437.14.255.25516,382
6137.15.0.0/1837.15.0.1 to 37.15.63.25437.15.63.25516,382
6237.15.64.0/1837.15.64.1 to 37.15.127.25437.15.127.25516,382
6337.15.128.0/1837.15.128.1 to 37.15.191.25437.15.191.25516,382
6437.15.192.0/1837.15.192.1 to 37.15.255.25437.15.255.25516,382
6537.16.0.0/1837.16.0.1 to 37.16.63.25437.16.63.25516,382
6637.16.64.0/1837.16.64.1 to 37.16.127.25437.16.127.25516,382
6737.16.128.0/1837.16.128.1 to 37.16.191.25437.16.191.25516,382
6837.16.192.0/1837.16.192.1 to 37.16.255.25437.16.255.25516,382
6937.17.0.0/1837.17.0.1 to 37.17.63.25437.17.63.25516,382
7037.17.64.0/1837.17.64.1 to 37.17.127.25437.17.127.25516,382
7137.17.128.0/1837.17.128.1 to 37.17.191.25437.17.191.25516,382
7237.17.192.0/1837.17.192.1 to 37.17.255.25437.17.255.25516,382
7337.18.0.0/1837.18.0.1 to 37.18.63.25437.18.63.25516,382
7437.18.64.0/1837.18.64.1 to 37.18.127.25437.18.127.25516,382
7537.18.128.0/1837.18.128.1 to 37.18.191.25437.18.191.25516,382
7637.18.192.0/1837.18.192.1 to 37.18.255.25437.18.255.25516,382
7737.19.0.0/1837.19.0.1 to 37.19.63.25437.19.63.25516,382
7837.19.64.0/1837.19.64.1 to 37.19.127.25437.19.127.25516,382
7937.19.128.0/1837.19.128.1 to 37.19.191.25437.19.191.25516,382
8037.19.192.0/1837.19.192.1 to 37.19.255.25437.19.255.25516,382
8137.20.0.0/1837.20.0.1 to 37.20.63.25437.20.63.25516,382
8237.20.64.0/1837.20.64.1 to 37.20.127.25437.20.127.25516,382
8337.20.128.0/1837.20.128.1 to 37.20.191.25437.20.191.25516,382
8437.20.192.0/1837.20.192.1 to 37.20.255.25437.20.255.25516,382
8537.21.0.0/1837.21.0.1 to 37.21.63.25437.21.63.25516,382
8637.21.64.0/1837.21.64.1 to 37.21.127.25437.21.127.25516,382
8737.21.128.0/1837.21.128.1 to 37.21.191.25437.21.191.25516,382
8837.21.192.0/1837.21.192.1 to 37.21.255.25437.21.255.25516,382
8937.22.0.0/1837.22.0.1 to 37.22.63.25437.22.63.25516,382
9037.22.64.0/1837.22.64.1 to 37.22.127.25437.22.127.25516,382
9137.22.128.0/1837.22.128.1 to 37.22.191.25437.22.191.25516,382
9237.22.192.0/1837.22.192.1 to 37.22.255.25437.22.255.25516,382
9337.23.0.0/1837.23.0.1 to 37.23.63.25437.23.63.25516,382
9437.23.64.0/1837.23.64.1 to 37.23.127.25437.23.127.25516,382
9537.23.128.0/1837.23.128.1 to 37.23.191.25437.23.191.25516,382
9637.23.192.0/1837.23.192.1 to 37.23.255.25437.23.255.25516,382
9737.24.0.0/1837.24.0.1 to 37.24.63.25437.24.63.25516,382
9837.24.64.0/1837.24.64.1 to 37.24.127.25437.24.127.25516,382
9937.24.128.0/1837.24.128.1 to 37.24.191.25437.24.191.25516,382
10037.24.192.0/1837.24.192.1 to 37.24.255.25437.24.255.25516,382
10137.25.0.0/1837.25.0.1 to 37.25.63.25437.25.63.25516,382
10237.25.64.0/1837.25.64.1 to 37.25.127.25437.25.127.25516,382
10337.25.128.0/1837.25.128.1 to 37.25.191.25437.25.191.25516,382
10437.25.192.0/1837.25.192.1 to 37.25.255.25437.25.255.25516,382
10537.26.0.0/1837.26.0.1 to 37.26.63.25437.26.63.25516,382
10637.26.64.0/1837.26.64.1 to 37.26.127.25437.26.127.25516,382
10737.26.128.0/1837.26.128.1 to 37.26.191.25437.26.191.25516,382
10837.26.192.0/1837.26.192.1 to 37.26.255.25437.26.255.25516,382
10937.27.0.0/1837.27.0.1 to 37.27.63.25437.27.63.25516,382
11037.27.64.0/1837.27.64.1 to 37.27.127.25437.27.127.25516,382
11137.27.128.0/1837.27.128.1 to 37.27.191.25437.27.191.25516,382
11237.27.192.0/1837.27.192.1 to 37.27.255.25437.27.255.25516,382
11337.28.0.0/1837.28.0.1 to 37.28.63.25437.28.63.25516,382
11437.28.64.0/1837.28.64.1 to 37.28.127.25437.28.127.25516,382
11537.28.128.0/1837.28.128.1 to 37.28.191.25437.28.191.25516,382
11637.28.192.0/1837.28.192.1 to 37.28.255.25437.28.255.25516,382
11737.29.0.0/1837.29.0.1 to 37.29.63.25437.29.63.25516,382
11837.29.64.0/1837.29.64.1 to 37.29.127.25437.29.127.25516,382
11937.29.128.0/1837.29.128.1 to 37.29.191.25437.29.191.25516,382
12037.29.192.0/1837.29.192.1 to 37.29.255.25437.29.255.25516,382
12137.30.0.0/1837.30.0.1 to 37.30.63.25437.30.63.25516,382
12237.30.64.0/1837.30.64.1 to 37.30.127.25437.30.127.25516,382
12337.30.128.0/1837.30.128.1 to 37.30.191.25437.30.191.25516,382
12437.30.192.0/1837.30.192.1 to 37.30.255.25437.30.255.25516,382
12537.31.0.0/1837.31.0.1 to 37.31.63.25437.31.63.25516,382
12637.31.64.0/1837.31.64.1 to 37.31.127.25437.31.127.25516,382
12737.31.128.0/1837.31.128.1 to 37.31.191.25437.31.191.25516,382
12837.31.192.0/1837.31.192.1 to 37.31.255.25437.31.255.25516,382
12937.32.0.0/1837.32.0.1 to 37.32.63.25437.32.63.25516,382
13037.32.64.0/1837.32.64.1 to 37.32.127.25437.32.127.25516,382
13137.32.128.0/1837.32.128.1 to 37.32.191.25437.32.191.25516,382
13237.32.192.0/1837.32.192.1 to 37.32.255.25437.32.255.25516,382
13337.33.0.0/1837.33.0.1 to 37.33.63.25437.33.63.25516,382
13437.33.64.0/1837.33.64.1 to 37.33.127.25437.33.127.25516,382
13537.33.128.0/1837.33.128.1 to 37.33.191.25437.33.191.25516,382
13637.33.192.0/1837.33.192.1 to 37.33.255.25437.33.255.25516,382
13737.34.0.0/1837.34.0.1 to 37.34.63.25437.34.63.25516,382
13837.34.64.0/1837.34.64.1 to 37.34.127.25437.34.127.25516,382
13937.34.128.0/1837.34.128.1 to 37.34.191.25437.34.191.25516,382
14037.34.192.0/1837.34.192.1 to 37.34.255.25437.34.255.25516,382
14137.35.0.0/1837.35.0.1 to 37.35.63.25437.35.63.25516,382
14237.35.64.0/1837.35.64.1 to 37.35.127.25437.35.127.25516,382
14337.35.128.0/1837.35.128.1 to 37.35.191.25437.35.191.25516,382
14437.35.192.0/1837.35.192.1 to 37.35.255.25437.35.255.25516,382
14537.36.0.0/1837.36.0.1 to 37.36.63.25437.36.63.25516,382
14637.36.64.0/1837.36.64.1 to 37.36.127.25437.36.127.25516,382
14737.36.128.0/1837.36.128.1 to 37.36.191.25437.36.191.25516,382
14837.36.192.0/1837.36.192.1 to 37.36.255.25437.36.255.25516,382
14937.37.0.0/1837.37.0.1 to 37.37.63.25437.37.63.25516,382
15037.37.64.0/1837.37.64.1 to 37.37.127.25437.37.127.25516,382
15137.37.128.0/1837.37.128.1 to 37.37.191.25437.37.191.25516,382
15237.37.192.0/1837.37.192.1 to 37.37.255.25437.37.255.25516,382
15337.38.0.0/1837.38.0.1 to 37.38.63.25437.38.63.25516,382
15437.38.64.0/1837.38.64.1 to 37.38.127.25437.38.127.25516,382
15537.38.128.0/1837.38.128.1 to 37.38.191.25437.38.191.25516,382
15637.38.192.0/1837.38.192.1 to 37.38.255.25437.38.255.25516,382
15737.39.0.0/1837.39.0.1 to 37.39.63.25437.39.63.25516,382
15837.39.64.0/1837.39.64.1 to 37.39.127.25437.39.127.25516,382
15937.39.128.0/1837.39.128.1 to 37.39.191.25437.39.191.25516,382
16037.39.192.0/1837.39.192.1 to 37.39.255.25437.39.255.25516,382
16137.40.0.0/1837.40.0.1 to 37.40.63.25437.40.63.25516,382
16237.40.64.0/1837.40.64.1 to 37.40.127.25437.40.127.25516,382
16337.40.128.0/1837.40.128.1 to 37.40.191.25437.40.191.25516,382
16437.40.192.0/1837.40.192.1 to 37.40.255.25437.40.255.25516,382
16537.41.0.0/1837.41.0.1 to 37.41.63.25437.41.63.25516,382
16637.41.64.0/1837.41.64.1 to 37.41.127.25437.41.127.25516,382
16737.41.128.0/1837.41.128.1 to 37.41.191.25437.41.191.25516,382
16837.41.192.0/1837.41.192.1 to 37.41.255.25437.41.255.25516,382
16937.42.0.0/1837.42.0.1 to 37.42.63.25437.42.63.25516,382
17037.42.64.0/1837.42.64.1 to 37.42.127.25437.42.127.25516,382
17137.42.128.0/1837.42.128.1 to 37.42.191.25437.42.191.25516,382
17237.42.192.0/1837.42.192.1 to 37.42.255.25437.42.255.25516,382
17337.43.0.0/1837.43.0.1 to 37.43.63.25437.43.63.25516,382
17437.43.64.0/1837.43.64.1 to 37.43.127.25437.43.127.25516,382
17537.43.128.0/1837.43.128.1 to 37.43.191.25437.43.191.25516,382
17637.43.192.0/1837.43.192.1 to 37.43.255.25437.43.255.25516,382
17737.44.0.0/1837.44.0.1 to 37.44.63.25437.44.63.25516,382
17837.44.64.0/1837.44.64.1 to 37.44.127.25437.44.127.25516,382
17937.44.128.0/1837.44.128.1 to 37.44.191.25437.44.191.25516,382
18037.44.192.0/1837.44.192.1 to 37.44.255.25437.44.255.25516,382
18137.45.0.0/1837.45.0.1 to 37.45.63.25437.45.63.25516,382
18237.45.64.0/1837.45.64.1 to 37.45.127.25437.45.127.25516,382
18337.45.128.0/1837.45.128.1 to 37.45.191.25437.45.191.25516,382
18437.45.192.0/1837.45.192.1 to 37.45.255.25437.45.255.25516,382
18537.46.0.0/1837.46.0.1 to 37.46.63.25437.46.63.25516,382
18637.46.64.0/1837.46.64.1 to 37.46.127.25437.46.127.25516,382
18737.46.128.0/1837.46.128.1 to 37.46.191.25437.46.191.25516,382
18837.46.192.0/1837.46.192.1 to 37.46.255.25437.46.255.25516,382
18937.47.0.0/1837.47.0.1 to 37.47.63.25437.47.63.25516,382
19037.47.64.0/1837.47.64.1 to 37.47.127.25437.47.127.25516,382
19137.47.128.0/1837.47.128.1 to 37.47.191.25437.47.191.25516,382
19237.47.192.0/1837.47.192.1 to 37.47.255.25437.47.255.25516,382
19337.48.0.0/1837.48.0.1 to 37.48.63.25437.48.63.25516,382
19437.48.64.0/1837.48.64.1 to 37.48.127.25437.48.127.25516,382
19537.48.128.0/1837.48.128.1 to 37.48.191.25437.48.191.25516,382
19637.48.192.0/1837.48.192.1 to 37.48.255.25437.48.255.25516,382
19737.49.0.0/1837.49.0.1 to 37.49.63.25437.49.63.25516,382
19837.49.64.0/1837.49.64.1 to 37.49.127.25437.49.127.25516,382
19937.49.128.0/1837.49.128.1 to 37.49.191.25437.49.191.25516,382
20037.49.192.0/1837.49.192.1 to 37.49.255.25437.49.255.25516,382
20137.50.0.0/1837.50.0.1 to 37.50.63.25437.50.63.25516,382
20237.50.64.0/1837.50.64.1 to 37.50.127.25437.50.127.25516,382
20337.50.128.0/1837.50.128.1 to 37.50.191.25437.50.191.25516,382
20437.50.192.0/1837.50.192.1 to 37.50.255.25437.50.255.25516,382
20537.51.0.0/1837.51.0.1 to 37.51.63.25437.51.63.25516,382
20637.51.64.0/1837.51.64.1 to 37.51.127.25437.51.127.25516,382
20737.51.128.0/1837.51.128.1 to 37.51.191.25437.51.191.25516,382
20837.51.192.0/1837.51.192.1 to 37.51.255.25437.51.255.25516,382
20937.52.0.0/1837.52.0.1 to 37.52.63.25437.52.63.25516,382
21037.52.64.0/1837.52.64.1 to 37.52.127.25437.52.127.25516,382
21137.52.128.0/1837.52.128.1 to 37.52.191.25437.52.191.25516,382
21237.52.192.0/1837.52.192.1 to 37.52.255.25437.52.255.25516,382
21337.53.0.0/1837.53.0.1 to 37.53.63.25437.53.63.25516,382
21437.53.64.0/1837.53.64.1 to 37.53.127.25437.53.127.25516,382
21537.53.128.0/1837.53.128.1 to 37.53.191.25437.53.191.25516,382
21637.53.192.0/1837.53.192.1 to 37.53.255.25437.53.255.25516,382
21737.54.0.0/1837.54.0.1 to 37.54.63.25437.54.63.25516,382
21837.54.64.0/1837.54.64.1 to 37.54.127.25437.54.127.25516,382
21937.54.128.0/1837.54.128.1 to 37.54.191.25437.54.191.25516,382
22037.54.192.0/1837.54.192.1 to 37.54.255.25437.54.255.25516,382
22137.55.0.0/1837.55.0.1 to 37.55.63.25437.55.63.25516,382
22237.55.64.0/1837.55.64.1 to 37.55.127.25437.55.127.25516,382
22337.55.128.0/1837.55.128.1 to 37.55.191.25437.55.191.25516,382
22437.55.192.0/1837.55.192.1 to 37.55.255.25437.55.255.25516,382
22537.56.0.0/1837.56.0.1 to 37.56.63.25437.56.63.25516,382
22637.56.64.0/1837.56.64.1 to 37.56.127.25437.56.127.25516,382
22737.56.128.0/1837.56.128.1 to 37.56.191.25437.56.191.25516,382
22837.56.192.0/1837.56.192.1 to 37.56.255.25437.56.255.25516,382
22937.57.0.0/1837.57.0.1 to 37.57.63.25437.57.63.25516,382
23037.57.64.0/1837.57.64.1 to 37.57.127.25437.57.127.25516,382
23137.57.128.0/1837.57.128.1 to 37.57.191.25437.57.191.25516,382
23237.57.192.0/1837.57.192.1 to 37.57.255.25437.57.255.25516,382
23337.58.0.0/1837.58.0.1 to 37.58.63.25437.58.63.25516,382
23437.58.64.0/1837.58.64.1 to 37.58.127.25437.58.127.25516,382
23537.58.128.0/1837.58.128.1 to 37.58.191.25437.58.191.25516,382
23637.58.192.0/1837.58.192.1 to 37.58.255.25437.58.255.25516,382
23737.59.0.0/1837.59.0.1 to 37.59.63.25437.59.63.25516,382
23837.59.64.0/1837.59.64.1 to 37.59.127.25437.59.127.25516,382
23937.59.128.0/1837.59.128.1 to 37.59.191.25437.59.191.25516,382
24037.59.192.0/1837.59.192.1 to 37.59.255.25437.59.255.25516,382
24137.60.0.0/1837.60.0.1 to 37.60.63.25437.60.63.25516,382
24237.60.64.0/1837.60.64.1 to 37.60.127.25437.60.127.25516,382
24337.60.128.0/1837.60.128.1 to 37.60.191.25437.60.191.25516,382
24437.60.192.0/1837.60.192.1 to 37.60.255.25437.60.255.25516,382
24537.61.0.0/1837.61.0.1 to 37.61.63.25437.61.63.25516,382
24637.61.64.0/1837.61.64.1 to 37.61.127.25437.61.127.25516,382
24737.61.128.0/1837.61.128.1 to 37.61.191.25437.61.191.25516,382
24837.61.192.0/1837.61.192.1 to 37.61.255.25437.61.255.25516,382
24937.62.0.0/1837.62.0.1 to 37.62.63.25437.62.63.25516,382
25037.62.64.0/1837.62.64.1 to 37.62.127.25437.62.127.25516,382
25137.62.128.0/1837.62.128.1 to 37.62.191.25437.62.191.25516,382
25237.62.192.0/1837.62.192.1 to 37.62.255.25437.62.255.25516,382
25337.63.0.0/1837.63.0.1 to 37.63.63.25437.63.63.25516,382
25437.63.64.0/1837.63.64.1 to 37.63.127.25437.63.127.25516,382
25537.63.128.0/1837.63.128.1 to 37.63.191.25437.63.191.25516,382
25637.63.192.0/1837.63.192.1 to 37.63.255.25437.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses